## indi-limesdr 1.4+20220129131520

=== debian/changelog ===
indi-limesdr (1.4+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:58:19 +0000

indi-limesdr (1.4-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Dec 2021 12:50:47 +0100

indi-limesdr (1.4-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Dec 2021 12:50:47 +0000

## indi-limesdr 1.4+20220611125500

=== debian/changelog ===
indi-limesdr (1.4+20220611125500-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:55:11 +0000

## indi-limesdr 1.4+20221223110308

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_limesdr CXX C)

set (LIMESDR_VERSION_MAJOR 1)
set (LIMESDR_VERSION_MINOR 0)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(LIMESUITE REQUIRED)
find_package(Threads REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_limesdr.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_limesdr.xml)

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})

include(CMakeCommon)

############# LIME-SDR RECEIVER ###############
if (CFITSIO_FOUND)

set(limesdr_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/indi_limesdr_receiver.cpp
)

add_executable(indi_limesdr_receiver ${limesdr_SRCS})

target_link_libraries(indi_limesdr_receiver ${INDI_LIBRARIES} ${LIMESUITE_LIBRARIES} ${CFITSIO_LIBRARIES} ${M_LIB} ${CMAKE_THREAD_LIBS_INIT})

install(TARGETS indi_limesdr_receiver RUNTIME DESTINATION bin)

endif (CFITSIO_FOUND)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_limesdr.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-limesdr (1.4+20221223110308-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113024)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:31:06 +0200

indi-limesdr (1.4+20221223110308-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 11:04:23 +0000

=== debian/control ===
Source: indi-limesdr
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, zlib1g-dev
	, liblimesuite-dev
	, libcfitsio-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-limesdr
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-limesdr.git

Package: indi-limesdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for LimeSDR (LMS7) Receiver
 This package contains an INDI driver for the LimeSDR (LMS7) Receiver.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
